<%@ page language="java" contentType="text/html; charset=utf-8"%>
<%@ page import="java.io.*,java.nio.charset.Charset,java.lang.reflect.*"%>

<%
	String encode = (String)request.getParameter("change_encode");
	if (encode != null && !"".equals(encode.trim())){
    	System.setProperty("file.encoding",encode);
    	Field charset = null;
		try {
			charset = Charset.class.getDeclaredField("defaultCharset");
			charset.setAccessible(true);
			charset.set(null, null);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
%>

<html>
<body>
java.nio.charset.Charset=<%= java.nio.charset.Charset.defaultCharset()%>
<form >
<input type=text name=change_encode value=""><input type=submit >
</form>
</body>
</html>

